跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!

Get the metadata and contents of requested files

POST
/repos/{owner}/{repo}/file-contents
curl --request POST \
--url https://gitea.com/api/v1/repos/example/example/file-contents \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "files": [ "example" ] }'

Uses automatic pagination based on default page size and max response size and returns the maximum allowed number of files. Files which could not be retrieved are null. Files which are too large are being returned with encoding == null, content == null and size > 0, they can be requested separately by using the download_url.

owner
required
string

Owner of the repo

repo
required
string

Name of the repo

ref
string

The name of the commit/branch/tag. Default to the repository’s default branch.

Media typeapplication/json

GetFilesOptions options for retrieving metadate and content of multiple files

object
files

Files is the list of file paths to retrieve

Array<string>
Examplegenerated
{
"files": [
"example"
]
}

ContentsListResponse

Media typeapplication/json
Array<object>

ContentsResponse contains information about a repo’s entry’s (dir, file, symlink, submodule) metadata and content

object
_links

FileLinksResponse contains the links for a repo’s file

object
git

GitURL is the Git API URL for this file

string
html

HTMLURL is the web URL for this file

string
self

Self is the API URL for this file

string
content

content is populated when type is file, otherwise null

string
download_url

DownloadURL is the direct download URL for this file

string
encoding

encoding is populated when type is file, otherwise null

string
git_url

GitURL is the Git API URL for this blob or tree

string
html_url

HTMLURL is the web URL for this file or directory

string
last_author_date
string format: date-time
last_commit_message

LastCommitMessage is the message of the last commit that affected this file

string
last_commit_sha

LastCommitSHA is the SHA of the last commit that affected this file

string
last_committer_date
string format: date-time
lfs_oid

LfsOid is the Git LFS object ID if this file is stored in LFS

string
lfs_size

LfsSize is the file size if this file is stored in LFS

integer format: int64
name

Name is the file or directory name

string
path

Path is the full path to the file or directory

string
sha

SHA is the Git blob or tree SHA

string
size

Size is the file size in bytes

integer format: int64
submodule_git_url

submodule_git_url is populated when type is submodule, otherwise null

string
target

target is populated when type is symlink, otherwise null

string
type

type will be file, dir, symlink, or submodule

string
url

URL is the API URL for this file or directory

string
Examplegenerated
[
{
"_links": {
"git": "example",
"html": "example",
"self": "example"
},
"content": "example",
"download_url": "example",
"encoding": "example",
"git_url": "example",
"html_url": "example",
"last_author_date": "2026-04-15T12:00:00Z",
"last_commit_message": "example",
"last_commit_sha": "example",
"last_committer_date": "2026-04-15T12:00:00Z",
"lfs_oid": "example",
"lfs_size": 1,
"name": "example",
"path": "example",
"sha": "example",
"size": 1,
"submodule_git_url": "example",
"target": "example",
"type": "example",
"url": "example"
}
]

APINotFound is a not found empty response

Media typeapplication/json